# react-native-month-year-picker

This is the React-Native-Month-Year Picker Supporting Both IOS and Android
| <p align="center"> | <img align="center" src="https://user-images.githubusercontent.com/78335638/208617850-9be8c606-cb92-4e76-9bb8-92ed8cd6beb9.gif" width="330">

## Getting started

`$ npm install react-native-onth-year-picker --save`

Read more about autolinking [here](https://github.com/mirshanv/MonthYearPicker).

```
## Usage

import React, { useState, useEffect, useContext } from "react";
import { StyleSheet, Text, TouchableOpacity, View } from "react-native";
import MonthYearPicker from "react-native-onth-year-picker";
export default function App() {
  const [datepicker, hideDatePicker] = useState(false);

  return (
    <View style={styles.container}>
      <TouchableOpacity
        style={{
          width: "40%",
          height: "8%",
          backgroundColor: "green",
          borderRadius: 10,
        }}
        onPress={() => {
          hideDatePicker(true);
        }}
      >
        <View
          style={{ alignItems: "center", justifyContent: "center", flex: 1 }}
        >
          <Text style={{ color: "#fff", fontSize: 15, fontWeight: "bold" }}>
            Click
          </Text>
        </View>
      </TouchableOpacity>
      <MonthYearPicker
        isShow={datepicker}
        close={() => {
          hideDatePicker(false);
        }}
        onChangeYear={(year) => {
          console.log("Year", year);
        }}
        onChangeMonth={(Month) => {
          console.log("Month", Month);
        }}
      />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: "#fff",
    alignItems: "center",
    justifyContent: "center",
  },
});

```

```

```
